Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(890)

Issue 2739863002: Enable GN check for webrtc/{p2p,system_wrappers} (Closed)

Created:
9 months, 2 weeks ago by kjellander_webrtc
Modified:
8 months ago
CC:
webrtc-reviews_webrtc.org, yujie_mao (webrtc), henrika_webrtc, zhengzhonghou_agora.io, tterriberry_mozilla.com, fengyue_agora.io, qiang.lu, niklas.enbom, peah-webrtc, mflodman
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Enable GN check for webrtc/{p2p,system_wrappers} Introduce new small header-only targets in system_wrappers: :cpu_features_api :field_trial_api :metrics_api to untangle and optimize dependencies but still satisfy GN check. In webrtc/p2p, previously uncovered header "base/fakecandidatepair.h" is added to :p2p_test_utils target. Refactor system_wrappers so 'rtc_p2p' can depend on only system_wrappers:field_trial_api instead of all of system_wrappers (which led to a breakage in Chromium that called for the revert of https://codereview.webrtc.org/2735583002). BUG=webrtc:6828 NOTRY=True Review-Url: https://codereview.webrtc.org/2739863002 Cr-Commit-Position: refs/heads/master@{#17812} Committed: https://chromium.googlesource.com/external/webrtc/+/8a1166321985a2a8a699e80e24d5297cdad9d7e0

Patch Set 1 #

Patch Set 2 : Remove .gn change to allow Chromium trybots #

Patch Set 3 : Rebased #

Patch Set 4 : New target cpu_features_api #

Patch Set 5 : Fix Windows and cpu_features_linux errors #

Patch Set 6 : Add NaCl dep #

Patch Set 7 : Remove .gn change temporarily #

Patch Set 8 : Add nacl_io dep to rtc_media_base #

Patch Set 9 : Trying to solve Chromium error for libjingle_peerconnection_api #

Patch Set 10 : Restore .gn file #

Patch Set 11 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+86 lines, -10 lines) Patch
M .gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/api/BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +14 lines, -1 line 0 comments Download
M webrtc/media/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +4 lines, -0 lines 0 comments Download
M webrtc/p2p/BUILD.gn View 1 2 3 4 5 6 7 8 6 chunks +19 lines, -6 lines 0 comments Download
M webrtc/system_wrappers/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 7 chunks +47 lines, -3 lines 0 comments Download

Messages

Total messages: 20 (11 generated)
mbonadei
On 2017/04/20 08:59:40, kjellander_webrtc wrote: > Description was changed from > > ========== > Reland ...
8 months ago (2017-04-20 09:04:20 UTC) #2
kjellander_webrtc
8 months ago (2017-04-20 19:06:04 UTC) #8
Taylor Brandstetter
lgtm. Small side-question: should the system_wrappers "api" targets eventually move to the "api" directory?
8 months ago (2017-04-20 20:27:21 UTC) #9
kjellander_webrtc
On 2017/04/20 20:27:21, Taylor Brandstetter wrote: > lgtm. Small side-question: should the system_wrappers "api" targets ...
8 months ago (2017-04-20 20:42:13 UTC) #10
Taylor Brandstetter
On 2017/04/20 20:42:13, kjellander_webrtc wrote: > On 2017/04/20 20:27:21, Taylor Brandstetter wrote: > > lgtm. ...
8 months ago (2017-04-20 21:48:32 UTC) #11
kjellander_webrtc
Adding perkj@ as system_wrappers owner just in case.
8 months ago (2017-04-21 09:12:00 UTC) #13
perkj_webrtc
On 2017/04/21 09:12:00, kjellander_webrtc wrote: > Adding perkj@ as system_wrappers owner just in case. I ...
8 months ago (2017-04-21 10:28:40 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2739863002/220001
8 months ago (2017-04-21 12:14:56 UTC) #17
commit-bot: I haz the power
8 months ago (2017-04-21 12:17:14 UTC) #20
Message was sent while issue was closed.
Committed patchset #11 (id:220001) as
https://chromium.googlesource.com/external/webrtc/+/8a1166321985a2a8a699e80e2...

Powered by Google App Engine
This is Rietveld 0eb02b776